local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------

mod:override({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND", -- by not appending, it should remove the native events like weather
        "EVENT_SECURITY_SELL",
    }
})



-- Event: Sell ---------------------------------------------------------------------------------------------

mod:register({
	DataType = "EVENT",
    Id = "EVENT_SECURITY_SELL",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10, 
	ConditionList = {
		{
            DataType = "EVENT_CONDITION_BUILDING_BUILT",
            AssetBuilding = "MONUMENT_MARKET"
		}
	},
	ActionList = {
        {
            DataType = "EVENT_ACTION_GIVE_QUEST",
            Quest = "QUEST_SECURITY_SELL"
        },
    }
})



-- Quest: Sell ---------------------------------------------------------------------------------------------
mod:register({
    DataType = "QUEST",
    Id = "QUEST_SECURITY_SELL",
    Name = "QUEST_SECURITY_SELL_NAME",
    Description = "QUEST_SECURITY_SELL_DESC",
    IsSilent = false,
	QuestFunction = {
        DataType = "QUEST_FUNCTION_CONTAINER", 
        QuestContainerDescription = "QUEST_SECURITY_SELL_NAME",
        SubQuestList = {
            {
                DataType = "QUEST_FUNCTION_ASSIGN_RESOURCE_MARKET",
                Resource = "RESOURCE_SECURITY"
            },
            {
                DataType = "QUEST_FUNCTION_ASSIGN_WORKER",
                Job = "JOB_SECURITY_CRIER"
            },
        }
    },
    QuestRewardList = {
        {
            DataType = "QUEST_REWARD_RESOURCES",
            ResourceCollection = {
                {
                    Resource = "RESOURCE_SECURITY",
                    Quantity = 100
                }
            }
        },
    },
    QuestFailList = nil,
    QuestListToUnlockAfter = nil,
    OnFailCallback = nil
})


